/**
 * Copyright  2002 Sun Microsystems, Inc. All rights reserved.
 */

package edu.cmu.fantango.ejb;

import java.util.*;
import java.io.*;
import javax.naming.*;
import java.sql.*;
import javax.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *	Static class methods for validating initial form contents
 */
public class LoginValidator
{
	/**
	 *	Validate form contents for Login form.
	 *
	 *	@throws ServletException, IOException
	 *	@returns Validity of form contents
	 */
    public static boolean Validate ( HttpServletRequest request, HttpServletResponse response )
        throws ServletException, IOException
	{
		System.out.println ( "::LoginValidator:: (Validate)" );
		String errorMsg = new String ( );
        // Get localstrings.properties strings
        try
        {
        	ResourceBundle rb = ResourceBundle.getBundle ( "LocalStrings", Locale.getDefault ( ) );

			// Check for omissions and mistakes
			if ( request.getParameter ( "username" ).length ( ) == 0 )
				errorMsg = rb.getString ( "invalid_user" );
			else if ( request.getParameter ( "password" ).length ( ) == 0 )
				errorMsg = rb.getString ( "invalid_pass" );
			else
			{
				System.out.println ( "::LoginValidator:: (Validate) Succeeded." );
				errorMsg = "&nbsp;";
				return true;
			}
		}
		catch ( Exception e )
		{
			errorMsg = "Sorry, but we have encountered an undefined error.";
		}

		System.out.println ( "::LoginValidator:: (Validate) Failed: " + errorMsg );
		request.setAttribute ( "error", errorMsg );
		request.setAttribute ( "goto", "/Login.jsp" );

		return false;
	}
}
