/*
 * Debug.java
 *
 * Created for HW2 of Analysis of Software Artifacts
 * $Id: Debug.java,v 1.1 2004/02/26 20:31:42 ahmedb Exp $
 * $Log: Debug.java,v $
 * Revision 1.1  2004/02/26 20:31:42  ahmedb
 * new classes for Replication Management
 *
 * Revision 1.3  2004/02/16 23:14:09  hisashiy
 * Debug w/ ResourceBundle did not work. Thus changed back to hardcoded true/false.
 *
 * Revision 1.2  2004/02/16 23:00:00  ahmedb
 * all executable and source files of hw2
 *
 * Revision 1.1  2004/02/16 22:04:17  hisashiy
 * Modified/added debug printing. Removed pid handling from Java code. List-mode now handles very first time access to JNDI (it now creates root node).
 *
 */

/**
 * Debug class handles debug printouts.
 *
 * @author hisashiy
 */
package edu.cmu.fantango.servlet;

public class Debug {

    /**
     * Prefix a string to debug out put to let the user know that the program
     * is running under debug mode.
     */
    protected static final String PREFIX = "[Debug]";

    /**
     * Boolean value to know if the program is running under debug mode.
     */
    protected static final boolean DEBUG = true;

    /**
     * Prints string if debug mode.
     * @param str string to print out during debug.
     */
    public static void debugPrint(String str) {
        if(DEBUG) {
            System.err.println(PREFIX + str);
        }
    }
}
