/*
 * RepositoryException.java
 *
 * Created for HW2 of Analysis of Software Artifacts
 * $Id: RepositoryException.java,v 1.1 2004/02/26 20:31:42 ahmedb Exp $
 * $Log: RepositoryException.java,v $
 * Revision 1.1  2004/02/26 20:31:42  ahmedb
 * new classes for Replication Management
 *
 * Revision 1.2  2004/02/16 22:04:17  hisashiy
 * Modified/added debug printing. Removed pid handling from Java code. List-mode now handles very first time access to JNDI (it now creates root node).
 *
 */

/**
 * Exception class to handle repository errors.
 * Should be useful if the repository is implemented by
 * different means. (JNDI, File, etc.)
 * 
 * @author hisashiy
 */
package edu.cmu.fantango.servlet;

public class RepositoryException extends Exception {

	/**
	 * @param message Message to be set in the exception.
	 */
	public RepositoryException(String message) {
		super(message);
	}

	/**
	 * @param cause Exception that is caught to actually cause this exception.
	 */
	public RepositoryException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message Message to be set in the exception
	 * @param cause Exception that is caught to actually cause this exception.
	 */
	public RepositoryException(String message, Throwable cause) {
		super(message, cause);
	}
}
